Subject: Re: [RFT PATCH v3] ARM: omap1: enable real software node lookup of GPIOs on Nokia 770

From: Janusz Krzysztofik <[email-masked]>
Date: Thu, 26 Mar 2026 10:58:32 +0100

Hi Bart,

On Thursday, 26 March 2026 09:57:31 CET Bartosz Golaszewski wrote:
> On Mon, Mar 16, 2026 at 9:50 AM Bartosz Golaszewski <[email-masked]> wrote:
> >
> > On Fri, Mar 6, 2026 at 1:31 AM Kevin Hilman <[email-masked]> wrote:
> > >
> > > Bartosz Golaszewski <[email-masked]> writes:
> > >
> > > > On Thu, Feb 12, 2026 at 12:46 PM Arnd Bergmann <[email-masked]> wrote:
> > > >>
> > > >> On Thu, Feb 12, 2026, at 12:25, Bartosz Golaszewski wrote:
> > > >> > Currently the board file for Nokia 770 creates dummy software nodes not
> > > >> > attached in any way to the actual GPIO controller devices and uses the
> > > >> > fact that GPIOLIB matching swnode's name to the GPIO chip's label during
> > > >> > software node lookup. This behavior is wrong and we want to remove it.
> > > >> > To that end, we need to first convert all existing users to creating
> > > >> > actual fwnode links.
> > > >> >
> > > >> > Create real software nodes for GPIO controllers on OMAP16xx and
> > > >> > reference them from the software nodes in the nokia board file.
> > > >> >
> > > >> > Signed-off-by: Bartosz Golaszewski <[email-masked]>
> > > >>
> > > >> Acked-by: Arnd Bergmann <[email-masked]>
> > > >
> > > > Aaro, Janusz: Can you please pick it up for v7.1?
> > >
> > > I can take this via the OMAP tree once I have confirmation from
> > > Aaro/Janusz that they've tested.
> > >
> > > Kevin
> >
> > Gentle ping.
> >
> > Bart
> 
> Hi again! Any chance we could get this queued? Janusz, Aaro: any objections?

I'm not able to restore my test environment right now, sorry.
However, the change looks harmless to me.

Acked-by: Janusz Krzysztofik <[email-masked]>

Thanks,
Janusz

> Bart